API

Get Started

WelcomeQuickstartExamplesChangelogSDKs and ToolsOrder Limits

Authorization

POSTCreate personal access token

List Accounts

GETGet accounts

Account Details

GETGet account portfolio v2GETGet history

Instrument Details

GETGet all instrumentsGETGet instrument

Market Data

POSTGet quotesPOSTGet option expirationsPOSTGet option chainGETGet bars v2GETGet bars v2 with aggregation

Order Placement

POSTPreflight single legPOSTPreflight multi legPOSTPlace orderPUTReplace orderPOSTPlace multileg orderGETGet orderDELETECancel order

Option Details

GETGet option greeks
HelpFeedback
Market Data

Get bars v2 with aggregation

Fetch bar data for a given symbol and period

GET/userapigateway/historicdata/{symbol}/{period}/{aggregation}

Parameters

Path Parameters

string

The symbol to fetch bar data for

string

The time period for the bar data

string

Aggregation override for the bar data.

Query Parameters

string

Required for SINCE_PURCHASE. YYYY-MM-DD

Parameters

NameTypeRequiredDescription
symbolstringYesThe symbol to fetch bar data for
periodstringDAYWEEKMONTHQUARTERHALF_YEARYEARFIVE_YEARSYTDSINCE_PURCHASEYesThe time period for the bar data
purchaseDatestringNoRequired for SINCE_PURCHASE. YYYY-MM-DD
aggregationstringONE_MINUTEFIVE_MINUTESTEN_MINUTESFIFTEEN_MINUTESTHIRTY_MINUTESONE_HOURONE_DAYONE_WEEKONE_MONTHTHREE_MONTHSSIX_MONTHSONE_YEARYesAggregation override for the bar data.

Body

application/json

No request body defined

Responses

Response

200application/json

Successful response with bar data

No response body defined

The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more
{
  "symbol": "string",
  "period": "string",
  "totalExpectedBars": 123,
  "previousClosePrice": "string",
  "totalGainLoss": "string",
  "totalGainLossPercentage": "string",
  "preMarket": {
    "expectedBars": 123,
    "bars": [
      {
        "timestamp": "string",
        "open": "string",
        "close": "string",
        "high": "string",
        "low": "string",
        "value": "string",
        "volume": 123,
        "gainAmount": "string",
        "gainPercentage": "string"
      }
    ]
  },
  "regularMarket": {
    "expectedBars": 123,
    "bars": [
      {
        "timestamp": "string",
        "open": "string",
        "close": "string",
        "high": "string",
        "low": "string",
        "value": "string",
        "volume": 123,
        "gainAmount": "string",
        "gainPercentage": "string"
      }
    ]
  },
  "afterMarket": {
    "expectedBars": 123,
    "bars": [
      {
        "timestamp": "string",
        "open": "string",
        "close": "string",
        "high": "string",
        "low": "string",
        "value": "string",
        "volume": 123,
        "gainAmount": "string",
        "gainPercentage": "string"
      }
    ]
  },
  "lastTradingSessionClose": {
    "close": "string",
    "closeDate": "string",
    "change": "string",
    "percentChange": "string"
  },
  "regularSessionClosingData": {
    "timestamp": "string",
    "price": "string"
  },
  "lastRegularTradingSessionClose": {
    "close": "string",
    "closeDate": "string",
    "change": "string",
    "percentChange": "string"
  }
}
The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more